BrainFrame Forum

V0.27.0 Client / An unhandled exception occurred while communicating with the BrainFrame server

brainframe.api.bf_errors.ServerNotReadyError: None: A network exception occurred while communicating with the BrainFrame server

Traceback (most recent call last):
File “urllib3/connectionpool.py”, line 445, in _make_request
File “”, line 3, in raise_from
File “urllib3/connectionpool.py”, line 440, in _make_request
File “http/client.py”, line 1373, in getresponse
File “http/client.py”, line 311, in begin
File “http/client.py”, line 272, in _read_status
File “socket.py”, line 586, in readinto
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “requests/adapters.py”, line 449, in send
File “urllib3/connectionpool.py”, line 756, in urlopen
File “urllib3/util/retry.py”, line 531, in increment
File “urllib3/packages/six.py”, line 735, in reraise
File “urllib3/connectionpool.py”, line 706, in urlopen
File “urllib3/connectionpool.py”, line 447, in _make_request
File “urllib3/connectionpool.py”, line 337, in _raise_timeout
urllib3.exceptions.ReadTimeoutError: HTTPConnectionPool(host=‘175.27.163.143’, port=80): Read timed out. (read timeout=30)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “brainframe/api/stubs/base_stub.py”, line 324, in _perform_request
File “brainframe/api/stubs/base_stub.py”, line 343, in _send_request
File “requests/sessions.py”, line 655, in send
File “requests/adapters.py”, line 529, in send
requests.exceptions.ReadTimeout: HTTPConnectionPool(host=‘175.27.163.143’, port=80): Read timed out. (read timeout=30)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “brainframe/client/ui/resources/qt_async_worker.py”, line 63, in finish
File “brainframe/client/ui/resources/qt_async_worker.py”, line 47, in run
File “brainframe/client/ui/main_window/video_expanded_view/alert_log/alert_log.py”, line 57, in get_alerts_from_server
File “brainframe/api/stubs/alerts.py”, line 89, in get_alerts
File “brainframe/api/stubs/base_stub.py”, line 55, in _get_json
File “brainframe/api/stubs/base_stub.py”, line 157, in _get
File “brainframe/api/stubs/base_stub.py”, line 282, in _send_authorized
File “brainframe/api/stubs/base_stub.py”, line 288, in _send_no_auth
File “brainframe/api/stubs/base_stub.py”, line 326, in _perform_request
brainframe.api.bf_errors.ServerNotReadyError: None: A network exception occurred while communicating with the BrainFrame server

Hi there, thank you for the error message. Unfortunately, this error is from the client side, and is caused by something going wrong on the server side.

As you can see from the bottom line:

brainframe.api.bf_errors.ServerNotReadyError: None: A network exception occurred while communicating with the BrainFrame server

The ServerNotReadyError means that the server was not responding to requests. In the future, please send along the server logs, by writing:

brainframe compose logs core > core_logs.txt

which will create a file called core_logs.txt, which can then be uploaded to the forum.